Inkomba · Ama-TV
Bonisa i-TV eyodwa
GET
/v1/tvs/{uid}
Ibonisa i-TV eyodwa ngokwe-uid yayo.
Ipharamitha esendleleni
| Igama | Uhlobo | Incazelo |
|---|---|---|
uid | string | I-uid ye-TV. |
Izinkambu zempendulo
uidstring- Isihlonzi se-TV, esifanayo nesisetshenziswa ephanelini yokulawula.
namestring- Igama le-TV.
descriptionstring- Incazelo ye-TV (ingaba ngenalutho).
organizationobject- Inhlangano ye-TV:
uidne-name. playlistobject | null- Uhlu lokudlala lwe-TV (
uidne-name), nomanulluma lungekho. statusstringonline,alertnomaoffline, njengoba kuchazwe ngezansi.last_seen_atstring | null- Ukuxhumana kokugcina kwe-TV nenkundla, noma
nulluma ingakaze ixhume. activated_atstring | null- Isikhathi i-TV eyenziwe yasebenza ngaso.
app_versionstring- Inguqulo ye-app efakwe ku-TV.
osstring- Isistimu yokusebenza ye-TV, njenge-
android. deviceobject- Uphawu (
brand) nemodeli (model) yedivayisi, uma i-TV iyibika. timezonestring | null- Indawo yesikhathi ye-TV, njenge-
America/Sao_Paulo, nomanull.
Indlela isimo esibalwa ngayo
onlineukuxhumana kungaphansi kwemizuzu emi-3 edlule, iyadlalaalertukuxhumana phakathi kwemizuzu emi-3 nemi-9 edlule, noma i-TV isaqalaofflineakukho kuxhumana imizuzu eyi-10 noma ngaphezulu, noma ayikaze ixhume
Kungumthetho ofanayo nowemibala yesimo ephanelini yokulawula.
Amaphutha angenzeka
- 404
not_foundI-endpoint ayikho, noma into ayikho noma ingeyenhlangano umsebenzisi angakwazi ukuyibona. - Amaphutha okhiye nawomkhawulo asebenza kuwo wonke ama-endpoint. Bona wonke amaphutha
Isicelo
curl "https://api.on-cloud.live/v1/tvs/c98cb8f9cc62887d1f6cf5693df9219c" \
-H "X-API-Key: $API_KEY"<?php
$ch = curl_init('https://api.on-cloud.live/v1/tvs/c98cb8f9cc62887d1f6cf5693df9219c');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['X-API-Key: ' . getenv('API_KEY')],
]);
$response = json_decode(curl_exec($ch), true);const res = await fetch('https://api.on-cloud.live/v1/tvs/c98cb8f9cc62887d1f6cf5693df9219c', {
headers: { 'X-API-Key': process.env.API_KEY }
});
const { data } = await res.json();Impendulo200
{
"data": {
"uid": "c98cb8f9cc62887d1f6cf5693df9219c",
"name": "Recepção",
"description": "TV da entrada",
"organization": {
"uid": "8f14e45fceea167a5a36dedd4bea2543",
"name": "Loja Centro"
},
"playlist": {
"uid": "e4da3b7fbbce2345d7772b0674a318d5",
"name": "Lista principal"
},
"status": "online",
"last_seen_at": "2026-11-03T14:32:10-03:00",
"activated_at": "2025-03-12T09:41:05-03:00",
"app_version": "3.12.84",
"os": "android",
"device": {
"brand": "TCL",
"model": "43P635"
},
"timezone": "America/Sao_Paulo"
}
}Into engekho noma engenakufinyelela404
{
"error": {
"code": "not_found",
"message": "Item not found or you do not have access to it."
}
}